summaryrefslogtreecommitdiff
path: root/net-proxy/mitmproxy
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /net-proxy/mitmproxy
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'net-proxy/mitmproxy')
-rw-r--r--net-proxy/mitmproxy/Manifest3
-rw-r--r--net-proxy/mitmproxy/metadata.xml21
-rw-r--r--net-proxy/mitmproxy/mitmproxy-12.2.1.ebuild84
-rw-r--r--net-proxy/mitmproxy/mitmproxy-12.2.2.ebuild84
-rw-r--r--net-proxy/mitmproxy/mitmproxy-12.2.3.ebuild84
5 files changed, 276 insertions, 0 deletions
diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
new file mode 100644
index 000000000000..9df4ce2c5fe5
--- /dev/null
+++ b/net-proxy/mitmproxy/Manifest
@@ -0,0 +1,3 @@
+DIST mitmproxy-12.2.1.gh.tar.gz 30996830 BLAKE2B 7f2ae2e8b98f3d800fc6ef73e848fda4b095bcf05498999a51ec938b635d560b04404e29181c484b178c8e37a2d234c7507fbbcbaca11865b9a186f1473c3494 SHA512 eed16d1df4b37ce9226ea4398077a4cd7d317cb2cd991a33399a2e57bd8d1a48dd74c132ce6610dc59e2d33784228e5ae23bb0a46821fd825a8cb8dc5496a79e
+DIST mitmproxy-12.2.2.gh.tar.gz 31005581 BLAKE2B 0625003c7e1de7e2ca3761b6572eb91494f9e0e2c85fbe12e017b64e2a9cd2e666f4b48f57078f95f932ca8a24a195f474ea786f97a3f8b099d52fe34b174d23 SHA512 6c0abfa5f771442bb8186bad3306e73d6d7c2216b282539a0d8813fac2d16ebb674458be483063553c5cdaa9ecce4f845634c3d3bd3a09f6b1b0d32bc7eac5bd
+DIST mitmproxy-12.2.3.gh.tar.gz 31006972 BLAKE2B 0eafcd1ac654a103a9310436aa7454666b634019a337204b6e0b331a97cb63cd62578d2d70ff475b8acd2589cc8b066bb619d1ed3611048fe7446125773af7c2 SHA512 c9962e0420e0198fcf844377a679a14486ccc4bacbe85e7ed8942ccdfbdc4c55dc85357981503375245f9eac6f8d96e7e95415f844eee13228cd085383166e98
diff --git a/net-proxy/mitmproxy/metadata.xml b/net-proxy/mitmproxy/metadata.xml
new file mode 100644
index 000000000000..16265799cd63
--- /dev/null
+++ b/net-proxy/mitmproxy/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mgorny@gentoo.org</email>
+ <name>Michał Górny</name>
+ </maintainer>
+ <longdescription lang="en">
+ mitmproxy is your swiss-army knife for debugging,
+ testing, privacy measurements, and penetration
+ testing. It can be used to intercept, inspect, modify
+ and replay web traffic such as HTTP/1, HTTP/2,
+ WebSockets, or any other SSL/TLS-protected
+ protocols. You can prettify and decode a variety of
+ message types ranging from HTML to Protobuf, intercept
+ specific messages on-the-fly, modify them before they
+ reach their destination, and replay them to a client
+ or server later on.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/net-proxy/mitmproxy/mitmproxy-12.2.1.ebuild b/net-proxy/mitmproxy/mitmproxy-12.2.1.ebuild
new file mode 100644
index 000000000000..079b63316bd7
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-12.2.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="
+ https://www.mitmproxy.org/
+ https://github.com/mitmproxy/mitmproxy/
+ https://pypi.org/project/mitmproxy/
+"
+SRC_URI="
+ https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+
+# aioquic-1.3.0 introduced breaking changes
+RDEPEND="
+ >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+ =dev-python/aioquic-1.2*[${PYTHON_USEDEP}]
+ >=dev-python/argon2-cffi-23.1.0[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2019.9.11[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-42.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-3.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.10[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+ <net-proxy/mitmproxy-rs-0.13[${PYTHON_USEDEP}]
+ >=net-proxy/mitmproxy-rs-0.12.6[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix2-2.20190812[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-24.3[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.18.10[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.13.2[${PYTHON_USEDEP}]
+ ' 3.12)
+ >=dev-python/urwid-2.6.14[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires root?
+ test/mitmproxy/proxy/test_mode_servers.py::test_tun_mode
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # unpin dependencies
+ sed -i -r -e 's:,?<=?[0-9.]+,?::' pyproject.toml || die
+
+ # hack pytest-9 compatibility in
+ sed -i -e 's:tool\.pytest\.individual_coverage:ignoreme:' pyproject.toml || die
+}
diff --git a/net-proxy/mitmproxy/mitmproxy-12.2.2.ebuild b/net-proxy/mitmproxy/mitmproxy-12.2.2.ebuild
new file mode 100644
index 000000000000..6d45147a1c7b
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-12.2.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="
+ https://www.mitmproxy.org/
+ https://github.com/mitmproxy/mitmproxy/
+ https://pypi.org/project/mitmproxy/
+"
+SRC_URI="
+ https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+
+# aioquic-1.3.0 introduced breaking changes
+RDEPEND="
+ >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+ =dev-python/aioquic-1.2*[${PYTHON_USEDEP}]
+ >=dev-python/argon2-cffi-23.1.0[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2019.9.11[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-42.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-3.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.10[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+ <net-proxy/mitmproxy-rs-0.13[${PYTHON_USEDEP}]
+ >=net-proxy/mitmproxy-rs-0.12.6[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix2-2.20190812[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-24.3[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.18.10[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.13.2[${PYTHON_USEDEP}]
+ ' 3.12)
+ >=dev-python/urwid-2.6.14[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires root?
+ test/mitmproxy/proxy/test_mode_servers.py::test_tun_mode
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # unpin dependencies
+ sed -i -r -e 's:,?<=?[0-9.]+,?::' pyproject.toml || die
+
+ # hack pytest-9 compatibility in
+ sed -i -e 's:tool\.pytest\.individual_coverage:ignoreme:' pyproject.toml || die
+}
diff --git a/net-proxy/mitmproxy/mitmproxy-12.2.3.ebuild b/net-proxy/mitmproxy/mitmproxy-12.2.3.ebuild
new file mode 100644
index 000000000000..b186b2d7f8a4
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-12.2.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="
+ https://www.mitmproxy.org/
+ https://github.com/mitmproxy/mitmproxy/
+ https://pypi.org/project/mitmproxy/
+"
+SRC_URI="
+ https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+# aioquic-1.3.0 introduced breaking changes
+RDEPEND="
+ >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+ =dev-python/aioquic-1.2*[${PYTHON_USEDEP}]
+ >=dev-python/argon2-cffi-23.1.0[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2019.9.11[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-42.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-3.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.10[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+ <net-proxy/mitmproxy-rs-0.13[${PYTHON_USEDEP}]
+ >=net-proxy/mitmproxy-rs-0.12.6[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix2-2.20190812[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-24.3[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.18.10[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.13.2[${PYTHON_USEDEP}]
+ ' 3.12)
+ >=dev-python/urwid-2.6.14[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires root?
+ test/mitmproxy/proxy/test_mode_servers.py::test_tun_mode
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # unpin dependencies
+ sed -i -r -e 's:,?<=?[0-9.]+,?::' pyproject.toml || die
+
+ # hack pytest-9 compatibility in
+ sed -i -e 's:tool\.pytest\.individual_coverage:ignoreme:' pyproject.toml || die
+}